Browse Source

Add more platform Travis tests

Scott Lahteine 4 years ago
parent
commit
944920176f

+ 26
- 7
.travis.yml View File

@@ -9,18 +9,37 @@ notifications:
9 9
   email: false
10 10
 
11 11
 env:
12
-  - TEST_PLATFORM="megaatmega2560"
12
+  - TEST_PLATFORM="ARMED"
13
+  #- TEST_PLATFORM="at90usb1286_cdc"
14
+  #- TEST_PLATFORM="at90usb1286_dfu"
13 15
   - TEST_PLATFORM="DUE"
16
+  - TEST_PLATFORM="esp32"
17
+  - TEST_PLATFORM="fysetc_f6_13"
18
+  - TEST_PLATFORM="jgaurora_a5s_a1"
19
+  - TEST_PLATFORM="linux_native"
14 20
   - TEST_PLATFORM="LPC1768"
15 21
   - TEST_PLATFORM="LPC1769"
16
-  - TEST_PLATFORM="STM32F1"
17
-  - TEST_PLATFORM="teensy31"
18
-  - TEST_PLATFORM="teensy35"
19
-  - TEST_PLATFORM="linux_native"
20
-  - TEST_PLATFORM="esp32"
22
+  #- TEST_PLATFORM="malyanm200"
23
+  - TEST_PLATFORM="megaatmega1280"
24
+  - TEST_PLATFORM="megaatmega2560"
25
+  #- TEST_PLATFORM="mks_robin"
26
+  #- TEST_PLATFORM="mks_robin_lite"
27
+  #- TEST_PLATFORM="mks_robin_mini"
28
+  #- TEST_PLATFORM="mks_robin_nano"
29
+  - TEST_PLATFORM="rambo"
30
+  - TEST_PLATFORM="adafruit_grandcentral_m4"
31
+  - TEST_PLATFORM="sanguino_atmega1284p"
32
+  - TEST_PLATFORM="sanguino_atmega644p"
33
+  - TEST_PLATFORM="STM32F103R"
34
+  #- TEST_PLATFORM="BIGTREE_SKR_MINI"
35
+  #- TEST_PLATFORM="fysetc_STM32F1"
21 36
   - TEST_PLATFORM="alfawise_U20"
37
+  #- TEST_PLATFORM="STM32F4"
22 38
   - TEST_PLATFORM="black_stm32f407ve"
23
-  - TEST_PLATFORM="adafruit_grandcentral_m4"
39
+  - TEST_PLATFORM="BIGTREE_SKR_PRO"
40
+  #- TEST_PLATFORM="STM32F7"
41
+  - TEST_PLATFORM="teensy31"
42
+  - TEST_PLATFORM="teensy35"
24 43
 
25 44
 before_install:
26 45
   #

+ 3
- 0
buildroot/share/git/mftest View File

@@ -27,6 +27,9 @@ case $TESTENV in
27 27
     lpc9) TESTENV='LPC1769' ;;
28 28
     mega) TESTENV='megaatmega2560' ;;
29 29
      stm) TESTENV='STM32F1' ;;
30
+     f1)  TESTENV='STM32F1' ;;
31
+     f4)  TESTENV='STM32F4' ;;
32
+     f7)  TESTENV='STM32F7' ;;
30 33
   teensy) TESTENV='teensy31' ;;
31 34
      t31) TESTENV='teensy31' ;;
32 35
      t32) TESTENV='teensy31' ;;

+ 16
- 0
buildroot/share/tests/ARMED-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 ARMED
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+use_example_configs ArmEd
13
+exec_test $1 $2 "ArmEd Example Configuration"
14
+
15
+# clean up
16
+restore_configs

+ 17
- 0
buildroot/share/tests/BIGTREE_SKR_MINI-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 Bigtreetech
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_BIGTREE_SKR_E3_DIP
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

+ 18
- 0
buildroot/share/tests/BIGTREE_SKR_PRO-tests View File

@@ -0,0 +1,18 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F4 BigTree_SKR_Pro
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_BIGTREE_SKR_PRO_V1_1
14
+opt_set SERIAL_PORT 1
15
+exec_test $1 $2 "Default Configuration"
16
+
17
+# clean up
18
+restore_configs

+ 4
- 1
buildroot/share/tests/LPC1768-tests View File

@@ -6,9 +6,12 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+#
10
+# Build with the default configurations
11
+#
9 12
 restore_configs
10 13
 opt_set MOTHERBOARD BOARD_RAMPS_14_RE_ARM_EFB
11
-exec_test $1 $2 "Build Re-ARM Default Configuration"
14
+exec_test $1 $2 "Default Configuration"
12 15
 
13 16
 restore_configs
14 17
 opt_set MOTHERBOARD BOARD_RAMPS_14_RE_ARM_EFB

+ 4
- 2
buildroot/share/tests/LPC1769-tests View File

@@ -6,9 +6,11 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
-restore_configs
9
+#
10
+# Build with the default configurations
11
+#
10 12
 use_example_configs Azteeg/X5GT
11
-exec_test $1 $2 "Azteeg X5GT Example Config"
13
+exec_test $1 $2 "Azteeg X5GT Example Configuration"
12 14
 
13 15
 restore_configs
14 16
 opt_set MOTHERBOARD BOARD_SMOOTHIEBOARD

+ 3
- 0
buildroot/share/tests/STM32F1-tests View File

@@ -6,6 +6,9 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+#
10
+# Build with the default configurations
11
+#
9 12
 restore_configs
10 13
 opt_set MOTHERBOARD BOARD_STM32F1R
11 14
 opt_set EXTRUDERS 2

+ 16
- 0
buildroot/share/tests/STM32F4-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F4 disco_f407vg
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+use_example_configs STM32/STM32F4
13
+exec_test $1 $2 "STM32F4 Default Configuration"
14
+
15
+# clean up
16
+restore_configs

+ 18
- 0
buildroot/share/tests/STM32F7-tests View File

@@ -0,0 +1,18 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F7
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_REMRAM_V1
14
+opt_set SERIAL_PORT 1
15
+exec_test $1 $2 "Default Configuration"
16
+
17
+# clean up
18
+restore_configs

+ 3
- 0
buildroot/share/tests/adafruit_grandcentral_m4-tests View File

@@ -6,6 +6,9 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+#
10
+# Build with the default configurations
11
+#
9 12
 restore_configs
10 13
 opt_set MOTHERBOARD BOARD_AGCM4_RURAMPS4D_13
11 14
 exec_test $1 $2 "Build Grand Central M4 Default Configuration"

+ 17
- 0
buildroot/share/tests/at90usb1286_cdc-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AT90USB1286 ARMED
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_BRAINWAVE_PRO
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

+ 17
- 0
buildroot/share/tests/at90usb1286_dfu-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AT90USB1286 ARMED
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_PRINTRBOARD
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

+ 3
- 0
buildroot/share/tests/esp32-tests View File

@@ -6,6 +6,9 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+#
10
+# Build with the default configurations
11
+#
9 12
 restore_configs
10 13
 opt_set MOTHERBOARD BOARD_ESP32
11 14
 opt_enable WIFISUPPORT GCODE_MACROS BAUD_RATE_GCODE

+ 16
- 0
buildroot/share/tests/fysetc_STM32F1-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 FYSETC
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+use_example_configs "FYSETC/Cheetah 1.2/base"
13
+exec_test $1 $2 "Cheetah 1.2 Configuration"
14
+
15
+# clean up
16
+restore_configs

+ 17
- 0
buildroot/share/tests/fysetc_f6_13-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AVR ATmega FYSETC F6 1.3
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_FYSETC_F6_13
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

+ 16
- 0
buildroot/share/tests/jgaurora_a5s_a1-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F103ZE JGAurora A5S A1
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+use_example_configs JGAurora/A5S
13
+exec_test $1 $2 "JGAurora/A5S Configuration"
14
+
15
+# clean up
16
+restore_configs

+ 3
- 0
buildroot/share/tests/linux_native-tests View File

@@ -6,6 +6,9 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+#
10
+# Build with the default configurations
11
+#
9 12
 restore_configs
10 13
 opt_set MOTHERBOARD BOARD_LINUX_RAMPS
11 14
 opt_set TEMP_SENSOR_BED 1

+ 13
- 0
buildroot/share/tests/malyanm200-tests View File

@@ -0,0 +1,13 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 malyanM200
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Malyan/M200
10
+exec_test $1 $2 "Default Configuration"
11
+
12
+# cleanup
13
+restore_configs

+ 16
- 0
buildroot/share/tests/megaatmega1280-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AVR ATmega1280
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+exec_test $1 $2 "Default Configuration"
14
+
15
+# clean up
16
+restore_configs

+ 1
- 1
buildroot/share/tests/megaatmega2560-tests View File

@@ -1,6 +1,6 @@
1 1
 #!/usr/bin/env bash
2 2
 #
3
-# Build tests for AVR
3
+# Build tests for AVR ATmega2560
4 4
 #
5 5
 
6 6
 # exit on first failure

+ 13
- 0
buildroot/share/tests/mks_robin-tests View File

@@ -0,0 +1,13 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 genericSTM32F103ZE
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Mks/Robin
10
+exec_test $1 $2 "Default Configuration"
11
+
12
+# cleanup
13
+restore_configs

+ 17
- 0
buildroot/share/tests/mks_robin_lite-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 genericSTM32F103RC
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Mks/Robin
10
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_LITE
11
+opt_set EXTRUDERS 1
12
+opt_set TEMP_SENSOR_1 0
13
+opt_disable FSMC_GRAPHICAL_TFT
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# cleanup
17
+restore_configs

+ 16
- 0
buildroot/share/tests/mks_robin_mini-tests View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 genericSTM32F103VE
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Mks/Robin
10
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_MINI
11
+opt_set EXTRUDERS 1
12
+opt_set TEMP_SENSOR_1 0
13
+exec_test $1 $2 "Default Configuration"
14
+
15
+# cleanup
16
+restore_configs

+ 14
- 0
buildroot/share/tests/mks_robin_nano-tests View File

@@ -0,0 +1,14 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F1 genericSTM32F103VE
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Mks/Robin
10
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
11
+exec_test $1 $2 "Default Configuration"
12
+
13
+# cleanup
14
+restore_configs

+ 21
- 0
buildroot/share/tests/rambo-tests View File

@@ -0,0 +1,21 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AVR ATmega2560 RAMBo
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_EINSY_RAMBO
14
+opt_set X_DRIVER_TYPE TMC2130
15
+opt_set Y_DRIVER_TYPE TMC2130
16
+opt_set Z_DRIVER_TYPE TMC2130
17
+opt_set E0_DRIVER_TYPE TMC2130
18
+exec_test $1 $2 "Default Configuration"
19
+
20
+# clean up
21
+restore_configs

+ 17
- 0
buildroot/share/tests/sanguino_atmega1284p-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AVR ATmega 1284p
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_SANGUINOLOLU_12
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

+ 17
- 0
buildroot/share/tests/sanguino_atmega644p-tests View File

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for AVR ATmega 644p
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+#
10
+# Build with the default configurations
11
+#
12
+restore_configs
13
+opt_set MOTHERBOARD BOARD_SANGUINOLOLU_12
14
+exec_test $1 $2 "Default Configuration"
15
+
16
+# clean up
17
+restore_configs

Loading…
Cancel
Save